Subject: [drmaa-wg] Notes
From: "Daniel Templeton" <[email-masked]>
To: "DRMAA Working Group" <[email-masked]>
Date: Tue, 8 Feb 2005 09:52:06 -0800

Here' my raw, unedited notes. :)

o Jan 25th Meeting Minutes
   - Approved
o No new news about tutorial
o GGF Newsletter asked for text about our success story
   - Now they want to expand the article
o OGSA wants to spin off a new group for execution
   - OGSA/EMS wants to know about DRMAA WSDL bindings
   - Want a simple interface -- just execute jobs
Andreas: DRMAA could be used with advanced reservations.  How are they 
separating advanced reservation from job execution?
Hrabri: OGSA is getting into these issues because they've started doing 
profiles
Andreas: Have they considered DRMAA?
Hrabri: It says in the minutes that they did
Andreas: What if we invite OGSA people to our working group meeting
Peter: Will it be possible to convince OGSA to accept anything that 
isn't Globus?
Hrabri: They will accept the specification, even if they don't use the 
implementation
   - Aren't interested in the full JSDL -- too big
   - Don't call them, they'll call us
     . We'll send them what we have and if they like, they'll call us
Peter: A realistic WSDL binding won't happen before GGF14, but we could 
be a quickie to have ready for OGSA ASAP.  I'd rather first finish the 
OO binding and then base the WSDL binding on it.
Hrabri: Half-baked is bad.  We do it right, and if they don't take it, 
we can still use it
   - Has to go through the full BOF process
   - Lots of resistance
     . Trying to enlist members of the opposition
Andreas: Would it be wise to offer to work together with the new working 
group in case DRMAA-based funcationality is acceptable.
Hrabri: The first thing they will pull out is GRAM.
Andreas: If the DRM vendors don't support it, their interfaces are useless.
Hrabri: Let's see what happens at GGF13
o Tracker 309
Andreas: Roger proposes a new function, but it can't work because you 
can't get an abort string from an int.
Roger: My proposal would only work for an errno style message.  The 
opaque data type is probably the right way to go.  It will need a way to 
release it.
Andreas: Can we agree on this solution?
Roger: We need to have something concrete to agree upon.
Andreas: <SEE EMAIL FROM ANDREAS>
Roger: What about other w* things?  Exit signal is also a char*?  It 
would also go well in an opaque type.
Andreas: Absolutely.  All the w* function values should go in there. 
Shall we vote?
Roger: We can't vote until we have something to vote about.
Dan: I think we need a draft of the struct and the related functions
Roger: Dan, can you do that, since you worked on the OO and Java bindings?
Dan: Sure.
Roger: What happens when a job doesn't know why it aborted.
Andreas: It says that is aborted but doesn't know why
Peter: I just sent out the IDL from the OO binding.  We can continue 
this discussion by mail.
Roger: We need a release function that must be called on every structure.
Andreas: Any other issues.
Dan: We need a way to get the count of the number of elements in an 
opaque vector
Roger: I don't see the need for this.  When you get the values out of 
the iterator, you stick them in a data structure, and then you can get 
the count from that.
Dan: I don't have a data structure to stick them in.
Roger: How hard is it to write a linked list?
Peter: Is it normal for C programmer to have to figure out the length of 
return data?
Roger: It depends.
Andreas: How about a vote?
FOR: Daniel, Andreas, Peter
AGAINST: Roger
ABSTAIN: Hrabri
Roger: Let's write it up like 309 and deal with it over email
o Other business?
Roger: Still working on reading the C binding spec.  Anyone else have 
trouble printing the PDF?
Hrabri: Didn't print it, but you should be able to print it as a graphic
Roger: My printing error might have been related to a UNIX/Windows TZ 
problem
   - Finalizing Documents
     . Due by Feb 18th
     . Peter has promised a draft of the OO spec
Peter: I'm in the last steps, then I'll send it to Dan for proof reading
Dan: Java binding will have to change based on the OO binding, meaing 
that it won't be ready for GGF13
Andreas: That's OK because it's not due until GGF14
Hrabri: Only the C binding is due for GGF13
o That's All Folks